Subject: [dtn-interest] Google Meeting Input - Ivancic

From: "Ivancic, William D. (GRC-RHN0)" <[email-masked]>
Date: Fri, 27 Jul 2012 09:31:55 -0500

Sorry I cannot be out at the meetings.  I did review most (I think all) of the presentations.

Regarding RFC5050bis:

I think the first item is to decide whether this remains a research protocol or if you would actually want to eventually move it to something more.

If the group decides this will continue as a research item with 10s of nodes, the current protocol with all the extension blocks provides a lot of flexibility for research purposes.

If the group wants to move toward some large real-world deployment (sometime in the future), a lot  has to be reconsidered.  The following are just a few.

 1.  There is no addressing right now, only naming, and naming is overloaded.  To scale (millions), you will likely need addressing.
 2.  The security is so complex, it will be difficult if not impossible to interoperated.  From the workshop I was at in July that Kevin Fall also attended, I think zero of three interoperate as is.  Also, I believe APL's analysis of ION shows it does not implement many if not most of the MUST portions of the BSP. But, you probably only need to authenticate sources. (Information Centric Networking applications will likely handle integrity of data and the user will probably handle encryption of data, not the Bundle Layer).
 3.  The current security mechanism does not work with reactive fragmentation.  - See item 8
 4.  There is currently no requirement to have a mechanism that protects against routing loops. It can be done in extensions blocks, but that is not mandatory.
 5.  There is much discussion of absolute vs relative time, but looking at how implementations use time, it may be that prioritized forwarding is sufficient and you can completely eliminate time from the protocol.  (Information Centric Networking applications will likely handle freshness of data).
 6.  Regardless, there probably should be a document that describes the expected default operations of a BP-agent.
 7.  Without fire-walling and filters, real-world deployment is not likely to happen because you are asking to use someone else's resources.
 8.  From much of the work being done, it appears many thing of bundles = store-and-forward packets.  Architecturally, we have to decide if bundles have vastly varying sizes or fixed sizes. Are bundles 64Kbytes or less or are they 8 bytes to 20 Gbytes or more?
 9.  Is custody transfer the default operation? - see 6.  If so, does having an explicate custody transfer buy you anything vs use of perhaps simpler priorities.

Have fun at Google!

- Will